# Interface AsymmetricKeyDetails

interface AsymmetricKeyDetails {
divisorLength?: number;
hashAlgorithm?: string;
mgf1HashAlgorithm?: string;
modulusLength?: number;
namedCurve?: string;
publicExponent?: bigint;
saltLength?: number;
}

- Defined in node_modules/@types/node/crypto.d.ts:528

#####
Index

### Properties

divisorLength?
hashAlgorithm?
mgf1HashAlgorithm?
modulusLength?
namedCurve?
publicExponent?
saltLength?

## Properties

### `Optional` divisorLength

divisorLength?: number

Size of q in bits (DSA).

- Defined in node_modules/@types/node/crypto.d.ts:552

### `Optional` hashAlgorithm

hashAlgorithm?: string

Name of the message digest (RSA-PSS).

- Defined in node_modules/@types/node/crypto.d.ts:540

### `Optional` mgf1HashAlgorithm

mgf1HashAlgorithm?: string

Name of the message digest used by MGF1 (RSA-PSS).

- Defined in node_modules/@types/node/crypto.d.ts:544

### `Optional` modulusLength

modulusLength?: number

Key size in bits (RSA, DSA).

- Defined in node_modules/@types/node/crypto.d.ts:532

### `Optional` namedCurve

namedCurve?: string

Name of the curve (EC).

- Defined in node_modules/@types/node/crypto.d.ts:556

### `Optional` publicExponent

publicExponent?: bigint

Public exponent (RSA).

- Defined in node_modules/@types/node/crypto.d.ts:536

### `Optional` saltLength

saltLength?: number

Minimal salt length in bytes (RSA-PSS).

- Defined in node_modules/@types/node/crypto.d.ts:548